## GimpGradientSelectButton

GimpGradientSelectButton — A button which pops up a gradient select dialog.

## Functions

GtkWidget * | gimp_gradient_select_button_new ()
const gchar * | gimp_gradient_select_button_get_gradient ()
void | gimp_gradient_select_button_set_gradient ()

## Properties

char * | gradient-name | Read / Write
char * | title | Read / Write / Construct Only

## Signals

void | gradient-set | Run First

## Types and Values

| GimpGradientSelectButton

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GtkWidget
                    ╰── GtkContainer
                        ╰── GtkBox
                            ╰── GimpSelectButton
                                ╰── GimpGradientSelectButton

## Implemented Interfaces

GimpGradientSelectButton implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Description

A button which pops up a gradient select dialog.

## Functions

### gimp_gradient_select_button_new ()

    GtkWidget *
    gimp_gradient_select_button_new (const gchar *title,
                                     const gchar *gradient_name);

Creates a new GtkWidget that completely controls the selection of a gradient. This widget is suitable for placement in a table in a plug-in dialog.

#### Parameters

title | Title of the dialog to use or `NULL` to use the default title. |
gradient_name | Initial gradient name. |

#### Returns

A GtkWidget that you can use in your UI.

Since: 2.4

### gimp_gradient_select_button_get_gradient ()

    const gchar *
    gimp_gradient_select_button_get_gradient
                                   (GimpGradientSelectButton *button);

Retrieves the name of currently selected gradient.

#### Parameters

button | A GimpGradientSelectButton |

#### Returns

an internal copy of the gradient name which must not be freed.

Since: 2.4

### gimp_gradient_select_button_set_gradient ()

    void
    gimp_gradient_select_button_set_gradient
                                   (GimpGradientSelectButton *button,
                                    const gchar *gradient_name);

Sets the current gradient for the gradient select button.

#### Parameters

button | A GimpGradientSelectButton |
gradient_name | Gradient name to set. |

Since: 2.4

## Types and Values

### GimpGradientSelectButton

    typedef struct _GimpGradientSelectButton GimpGradientSelectButton;

## Property Details

### The `“gradient-name”` property

      “gradient-name”            char *

The name of the currently selected gradient.

Owner: GimpGradientSelectButton

Flags: Read / Write

Default value: NULL

Since: 2.4

### The `“title”` property

      “title”                    char *

The title to be used for the gradient selection popup dialog.

Owner: GimpGradientSelectButton

Flags: Read / Write / Construct Only

Default value: "Gradient Selection"

Since: 2.4

## Signal Details

### The `“gradient-set”` signal

    void
    user_function (GimpGradientSelectButton *widget,
                   char                     *gradient_name,
                   int                       width,
                   gpointer                  grad_data,
                   gboolean                  dialog_closing,
                   gpointer                  user_data)

The ::gradient-set signal is emitted when the user selects a gradient.

#### Parameters

widget | the object which received the signal. |
gradient_name | the name of the currently selected gradient. |
width | width of the gradient |
grad_data | gradient data |
dialog_closing | whether the dialog was closed or not. |
user_data | user data set when the signal handler was connected. |

Flags: Run First

Since: 2.4